


/***************************************
* STORED stp_prtCartLiquidi_F18ByUDC
*
* ottiene il record del Cartellino Liquidi dato l'UDC richiesto x la stampa
*
* Steamware, S.E.L.
* mod: 2011.12.19
*
****************************************/
CREATE PROCEDURE [dbo].[stp_prtCartLiquidi_F18ByUDC]
(
	@UDC NVARCHAR(50)
)
AS

    -- estraggo gli UDC parent di quello passato ( x max 10 ) per poi stamparlo nel campo 
    -- NoteTratt che era utilizzato per stampare i trattamenti nel cartellino F10
	DECLARE @tmp		NVARCHAR(500)
	DECLARE @NoteTratt	NVARCHAR(500)   -- usato per memorizzare gli UDC F10 parent associati 
	SET @tmp = ''

	SELECT  TOP 10 @tmp = @tmp + RTRIM(UDC_parent) + ' - ' FROM RelazUDC AS r
    INNER JOIN dbo.ElencoCartellini AS e ON r.UDC_parent = e.UDC        -- il parent deve esistere ( escludo i cancellati )
    WHERE r.UDC_child = @UDC
    ORDER BY r.UDC_parent

	SET	@NoteTratt = (SELECT SUBSTRING(@tmp, 0, LEN(@tmp)))

	-- ora seleziono i dati veri e propri
    SELECT
           ISNULL( ElencoCartellini.UDC,N'') AS               UDC,
           ISNULL( ElencoCartellini.CodCS,N'') AS             CodCS,
           ISNULL( ElencoCartellini.CodCliente,N'') AS        codcliente,
           ISNULL( ElencoCartellini.RagSociale,N'') AS        ragsociale,
           ISNULL( ElencoCartellini.Particolare,N'') AS       particolare,
           ISNULL( ElencoCartellini.DescParticolare,N'') AS   DescParticolare,
           ISNULL( ElencoCartellini.DisegnoGrezzo,N'') AS     DisegnoGrezzo,
           ISNULL( ElencoCartellini.Esponente,N'') AS         esponente,
           ISNULL( ElencoCartellini.CodImpianto,N'') AS       CodImpianto,
           ISNULL( ElencoCartellini.DescImpianto,N'') AS      DescImpianto,
           ISNULL( ElencoCartellini.CodStampo,N'') AS         codstampo,
           ISNULL( ElencoCartellini.Figura,N'') AS            figura,
           ISNULL( ElencoCartellini.DataFus,N'') AS           datafus,
           ISNULL( ElencoCartellini.TurnoFus,N'') AS          turnofus,
           ISNULL( ElencoCartellini.CodImballo,N'') AS        CodImballo,
           ISNULL( ElencoCartellini.CodSoggetto,N'') AS       CodSoggetto,
           ISNULL( ElencoCartellini.NumCont,N'') AS           NumCont,
           ISNULL( ElencoCartellini.Tara,N'') AS              tara,
           ISNULL( ElencoCartellini.Qta,N'') AS               qta,
           ISNULL( ElencoCartellini.CodStato,N'') AS          CodStato,
           ISNULL( ElencoCartellini.IdxPosizione,N'') AS      IdxPosizione,
           ISNULL( ElencoCartellini.PesoTot,N'') AS           PesoTot,
           ISNULL( ElencoCartellini.PesoCad,N'') AS           PesoCad,
           ElencoCartellini.CreateDate,
           ElencoCartellini.ModDate,
           ISNULL( RilPro.AnagOperatori.Cognome,N'') AS       cognome,
           ISNULL( RilPro.AnagOperatori.Nome,N'') AS          nome,
           ISNULL( AnagStatiProdotto.DescStato,N'') AS        DescStato,
           ISNULL( RilPro.AnagImballi.DescImballo,N'') AS     DescImballo,
           ISNULL( RilPro.AnagParticolari.CodFamiglia,N'') AS CodFamiglia,
           ISNULL( RilPro.AnagFamiglie.DescFamiglia,N'') AS   DescFamiglia,
           ISNULL( ElencoCartellini.Note,N'') AS              Note,
           ISNULL( @NoteTratt,N'') AS                         NoteTratt
    FROM RilPro.AnagParticolari
    LEFT OUTER JOIN RilPro.AnagFamiglie
           ON RilPro.AnagParticolari.CodFamiglia = RilPro.AnagFamiglie.CodFamiglia
    RIGHT OUTER JOIN ElencoCartellini
           ON RilPro.AnagParticolari.Particolare = ElencoCartellini.Particolare
    LEFT OUTER JOIN AnagStatiProdotto
           ON ElencoCartellini.CodStato = AnagStatiProdotto.CodStato
    LEFT OUTER JOIN RilPro.AnagOperatori
           ON ElencoCartellini.CodSoggetto = RilPro.AnagOperatori.CodSoggetto
    LEFT OUTER JOIN RilPro.AnagImballi
           ON ElencoCartellini.CodImballo = RilPro.AnagImballi.CodImballo
    WHERE ElencoCartellini.UDC = @UDC;
 

RETURN


